"""create table for fruits

Revision ID: 2c9a83e4f6b3
Revises: 0001
Create Date: 2023-05-22 12:00:00

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2c9a83e4f6b3'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'fruits',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('price', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )
    op.create_index(op.f('ix_fruits_name'), 'fruits', ['name'], unique=True)

def downgrade():
    op.drop_index(op.f('ix_fruits_name'), table_name='fruits')
    op.drop_table('fruits')